# Poco

# class WhitespaceToken

Library: Foundation
Package: Streams
Header: Poco/Token.h

## Description

This pseudo token class is used to eat up whitespace in between real tokens.

## Inheritance

Direct Base Classes: Token

All Base Classes: Token

## Member Summary

Member Functions: finish, start, tokenClass

Inherited Functions: asChar, asFloat, asInteger, asString, finish, is, start, tokenClass, tokenString

## Constructors

### WhitespaceToken

WhitespaceToken();

## Destructor

### ~WhitespaceToken

~WhitespaceToken();

## Member Functions

### finish

void finish(
std::istream & istr
);

See also: Poco::Token::finish()

### start

bool start(
char c,
std::istream & istr
);

See also: Poco::Token::start()

### tokenClass

Class tokenClass() const;

See also: Poco::Token::tokenClass()